Kommunauty
Connexion
Inscription

Help, Perl sur ovh


Patt Messages : 291

Salut,

J'essaie d'installer un script en Perl (Wakaba) sur un serveur mutualisé OVH.

Donc je met le script dans mon dossier /cgi-bin/, je tape l'URL sur firefox et j'ai une erreur.

Je met tout le rep en chmod 755 et là ça marche pas vraiment plus :

No ADMIN_PASS or NUKE_PASS defined in the configuration at config_defaults.pl line 8.
BEGIN failed--compilation aborted at config_defaults.pl line 126.
Compilation failed in require at wakaba.pl line 17.
BEGIN failed--compilation aborted at wakaba.pl line 17.

Je suis vraiment un n00b en Perl et donc je ne comprend absolument rien . Si vous avez besoin de plus d'infos n'hésitez pas. Merci d'avance.

mardi 19 janvier 2010

SiMax Messages : 7572

Alors je connais pas du tout ce langage désolé. Je te conseille d'aller voir directement sur le forum d'OVH

N'hésite pas à venir donner la réponse à ton problème une fois que tu auras trouvé par contre.

Si ça peut aider à résoudre le problème, d'après la traduction je dirais que ça vient du fait qu'il manque un mot de passe "Nuke" dans config_defaults.pl à la ligne 8. Si tu nous met cette ligne sur le forum je veux bien tenter d'aider un peu plus.

jeudi 21 janvier 2010

Patt Messages : 291

Ok, je vais tester. Si ça marche pas je posterais sur OVH. Et si ça marche toujours pas je passe à un script qui fait la même chose en PhP.

EDIT : La ligne 8 ne semble pas être "modifiable" : die S_NOADMIN unless(defined &ADMIN_PASS);. Je vais poster sur OVH

samedi 23 janvier 2010

Patt Messages : 291

Problème résolu, mais maintenant j'ai :

Parse error: syntax error, unexpected T_CONST, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /www/lib/dwoo/Dwoo.compiled.php on line 1

Et non, il ne manque pas de caractere dans Dwoo.compiled.php, je n'ai pas modifié le fichier.

mercredi 27 janvier 2010

SiMax Messages : 7572

Ah c'est dommage parce que j'aurais bien dit qu'il manquait un petit caractère

Essaye de voir niveau compatibilité du script avec la version d'OVH. Je sais qu'en PHP y'a des fonctions qui marchent pas bien sur deux versions différentes de PHP. Si le problème vient de là, regarde comment tu peux faire pour forcer OVH à mettre une autre config, c'est faisable dans les .htacess normalement.

mercredi 27 janvier 2010

Patt Messages : 291

Le script marche avec PHP 5, OVH accepte le PHP 4, 5, 5.3 et 6.

Merci, je crois qu'il faut effectivement changer un truc avec un .htaccess et mettre :

SetEnv PHP_VER 5

Je vais tester.

EDIT : Et voilà .

samedi 30 janvier 2010

SiMax Messages : 7572

Oui c'est ça qu'il faut mettre. J'ai du faire la même chose pour un script PHP.

Sinon Perl ça marche sur n'importe quel hébergement OVH ou il en faut un spécial ?

samedi 30 janvier 2010

Patt Messages : 291

Je crois que ça marche sur tout les hebergs sur OVH.

dimanche 31 janvier 2010

SiMax Messages : 7572

Ah cool ça ! Je savais pas ! Merci pour l'info

dimanche 31 janvier 2010

Répondre Pour répondre, tu dois d'abord t'inscrire rapidement sur Kommunauty. Rejoins-nous vite !